#define	MAX_SIZE_BLOCK	24576L

short	StartDBPlay(SoundInfo *mySI, double time);
void	StopDBPlay(void);
pascal void	ADDVIDoubleBackProc(SndChannelPtr myChannel, SndDoubleBufferPtr doubleBuffer);
pascal void	DoubleBackProc(SndChannelPtr myChannel, SndDoubleBufferPtr doubleBuffer);
pascal void	Sw16DoubleBackProc(SndChannelPtr myChannel, SndDoubleBufferPtr doubleBuffer);
pascal void	S8DoubleBackProc(SndChannelPtr myChannel, SndDoubleBufferPtr doubleBuffer);
pascal void MuDoubleBackProc(SndChannelPtr myChannel, SndDoubleBufferPtr doubleBuffer);
pascal void ADoubleBackProc(SndChannelPtr myChannel, SndDoubleBufferPtr doubleBuffer);
pascal void FltDoubleBackProc(SndChannelPtr myChannel, SndDoubleBufferPtr doubleBuffer);
void SignToUnsignBlock(Ptr block, long size);
void Sw16BlockMove(Ptr inBlock, Ptr outBlock, long size);
void Flt2ShortBlock(float *floatSams, short *shortSams, long size, float gain);

typedef struct
{
	SndDoubleBufferHeader2	doubleHeader;
	SndChannelPtr			channel;
	ParmBlkPtr				inSParmBlk;
	long					sizeBlock;
	long					numFrames;
	long					numBytes;
	long					filePos;
	short					dFileNum;
	Boolean					lastBlock;
	Boolean					nextBlock;
	Boolean					loop;
	char					*fileBlock;
	float					timeDivisor;
	unsigned long			ticksStart;
} DoubleBufPlayInfo;
