#define NOT_A_NORMAL_MENU	-1

/* Menu Resource IDs */
#define	APPLE_MENU_ID		128
#define	FILE_MENU_ID		129
#define	EDIT_MENU_ID		130
#define	FONT_MENU_ID		131

/* Menu Item Resource IDs */
/* Apple Menu */
#define	ABOUT_ITEM			1

/* File Menu */
#define	PLAY_ITEM			1
#define	STOP_ITEM			2
#define	PAUSE_ITEM			3
#define	PREFS_ITEM			4
#define	QUIT_ITEM			6

/* Edit Menu */
#define	UNDO_ITEM			1
#define	CUT_ITEM			3
#define	COPY_ITEM			4
#define	PASTE_ITEM			5

void	MenuBarInit(void);
void	HandleMenuChoice(long menuChoice);
void	HandleAppleChoice(short theItem);
void	HandleFileChoice(short theItem);
void	HandleEditChoice(short theItem);
void	HandleFontChoice(short theItem);
